curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Premium Plus"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Premium Plus"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
name: 'Acme Premium Plus'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 3001,
"name": "Acme Premium Plus",
"client_id": 25855,
"company_id": 1234,
"user_id": 8546,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-15T10:00:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "BrandNotFoundError",
"message": "Brand with external ID 'SF-BRAND-12345' not found",
"code": "ZC004"
}
Brands
Update Brand
Updates an existing brand in your COR instance using its external ID
PUT
/
v2
/
integrations
/
brands
/
{id}
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Premium Plus"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Premium Plus"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
name: 'Acme Premium Plus'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 3001,
"name": "Acme Premium Plus",
"client_id": 25855,
"company_id": 1234,
"user_id": 8546,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-15T10:00:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "BrandNotFoundError",
"message": "Brand with external ID 'SF-BRAND-12345' not found",
"code": "ZC004"
}
Updates an existing brand in your COR instance using its external ID.
Path Parameters
string
required
External brand ID that was used when creating the brand
Request Body Requirements
string
Updated brand name
Known Errors
ZC001— Entity is not associated (brand with the specified external ID not found)BrandNotFoundError— No brand found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefield
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Premium Plus"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Premium Plus"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
name: 'Acme Premium Plus'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 3001,
"name": "Acme Premium Plus",
"client_id": 25855,
"company_id": 1234,
"user_id": 8546,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-15T10:00:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "BrandNotFoundError",
"message": "Brand with external ID 'SF-BRAND-12345' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

